<?php
use App\Models\FormEvento;
use App\Models\Evento;
use Carbon\Carbon;
?>
<div class="modal-header">
  <h3><i class="far fa-clock"></i> Costi registrati per la segnalazione #{{ $segnalazione->id }} - {{ $segnalazione->titolo }}</h3>
</div>



<div class="modal-body" >
  <div class="row justify-content-center">
    <div class="col">
      {{ $dataTable_costo_segnalazione->table(['class' => 'table']) }}
    </div>
  </div>
</div>

<div class="modal-footer">
  <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Chiudi</button>
</div>

{{ $dataTable_costo_segnalazione->scripts(attributes: ['type' => 'module']) }}


<script type="module">
  $(document).ready(function(){
    // Editor edit
    $("#dataTable_costo_segnalazione").on('click', 'a.editor_edit', function (e) {
      e.preventDefault();
      window.LaravelDataTables["dataTable_costo_segnalazione-editor"].edit( $(this).closest('tr'), {
        title: 'Modifica',
        buttons: 'Aggiorna',
      });
    });

    // Editor delete
    $("#dataTable_costo_segnalazione").on('click', 'a.editor_delete', function (e) {
      e.preventDefault();
      window.LaravelDataTables["dataTable_costo_segnalazione-editor"].remove($(this).closest('tr'), {
        title: 'Cancella record',
        message: 'Sei sicuro di voler eliminare il record selezionato?',
        buttons: 'Cancella record'
      });
    } );

    $("#dataTable_costo_segnalazione").on('dblclick', 'tbody td', function (e) {
      window.LaravelDataTables["dataTable_costo_segnalazione-editor"].edit( $(this).closest('tr'), {
        title: 'Modifica',
        buttons: 'Aggiorna',
      });
    });

  });

</script>

<script>

  $(document).ready(function(){
    $.ajaxSetup({
      headers: {
        'X-CSRF-TOKEN': '{{csrf_token()}}'
      }
    });

  });

  function initComplete_costo_segnalazione(){
    $('div.dt-buttons button').removeClass('btn-secondary');
    return;
  }



</script>
